# Settings and packages

{% hint style="info" %}

#### Demo environment

When sending test data to the following endpoints, change the domain to `https://demo-api.certn.co`.
{% endhint %}

To view a list of all application parameters, visit [application-parameters](https://docs.certn.co/api/api-reference/resources/application-parameters "mention").

## Team hierarchy

Organizations often need a structured team hierarchy for billing, user management, and package organization. Certn now supports a two-tiered hierarchy (Superteam and Team levels).

As a partner, you're required to have at least one Superteam, but you can create more Superteams and add Teams under them as needed.

This hierarchy is useful when you have end users who should only access background checks related to specific groups, rather than the entire organization's checks. If you're a reseller, using multiple Superteams can help you categorize background checks by customers and control the data visible in your end users' portal.

## Superteams

A superteam serves as the higher of the two levels within your account hierarchy. It functions as an overarching entity under which other teams are organized.

{% hint style="info" %}
Available to partners using API version >= 1.1.0.
{% endhint %}

## Retrieve a list of your superteams

<mark style="color:blue;">`GET`</mark> `https://api.certn.co/api/v1/superteams/` [<mark style="color:$danger;">**`DEPRECATED`**</mark>](https://docs.certn.co/api/deprecation)

View the list of your superteams.

{% tabs %}
{% tab title="200: OK Superteam successfully retrieved" %}
{% tabs %}
{% tab title="Response type" %}

<pre class="language-json" data-title="application/json"><code class="lang-json">{
    "count": int,
    "next": URL,
    "previous": URL,
    "results": [
        {
            "id": string &#x3C;uuid>,
            "name": string
        }
<strong>    ]
</strong><strong>}
</strong></code></pre>

{% endtab %}

{% tab title="Example" %}

<pre class="language-json" data-title="application/json"><code class="lang-json">{
    "count": 1,
    "next": null,
    "previous": null,
    "results": [
        {
            "id": "23554549-b086-4f74-94fe-ccf88e1c643b",
            "name": "Superteam Name"
        }
<strong>    ]
</strong><strong>}
</strong></code></pre>

{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="403: Forbidden Authentication failed" %}

{% endtab %}
{% endtabs %}

## Retrieve details of a specific superteam

<mark style="color:blue;">`GET`</mark> `https://api.certn.co/api/v1/superteams/{superteam_id}/` [<mark style="color:$danger;">**`DEPRECATED`**</mark>](https://docs.certn.co/api/deprecation)

View the details of a specific superteam using the team id.

#### Path Parameters

| Name                                            | Type   | Description         |
| ----------------------------------------------- | ------ | ------------------- |
| superteam\_id<mark style="color:red;">\*</mark> | string | ID of the superteam |

{% tabs %}
{% tab title="200: OK Superteam successfully retrieved" %}
{% tabs %}
{% tab title="Response Type" %}
{% code title="application/json" %}

```json
{
    "id": string <uuid>,
    "name": string,
    "is_secure_sms_enabled": boolean,
    "is_report_id_enabled": boolean,
    "street_address": string,
    "city": string,
    "postal_code": string,
    "province_state": string,
    "other_province_state": string,
    "country": string
}
```

{% endcode %}
{% endtab %}

{% tab title="Example" %}

<pre class="language-json" data-title="application/json"><code class="lang-json">{
    "id": "aafa6f6b-e394-4514-b2b4-e5cfdabcffa1",
    "name": "Partner Superteam",
    "is_secure_sms_enabled": false,
<strong>    "is_report_id_enabled": true,
</strong>    "street_address": "123 4 Main Street",
    "city": "Victoria",
    "postal_code": "V8A1B2",
    "province_state": "BC",
    "other_province_state": null,
    "country": "CA"
}
</code></pre>

{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="403: Forbidden Authentication failed" %}

{% endtab %}
{% endtabs %}

## Create a superteam

<mark style="color:green;">`POST`</mark> `https://api.certn.co/api/v1/superteams/` [<mark style="color:$danger;">**`DEPRECATED`**</mark>](https://docs.certn.co/api/deprecation)

Create a new superteam.&#x20;

#### Request Body

| Name                                                       | Type           | Description                                                                                                                                        |
| ---------------------------------------------------------- | -------------- | -------------------------------------------------------------------------------------------------------------------------------------------------- |
| name<mark style="color:red;">\*</mark>                     | string         | Superteam name                                                                                                                                     |
| street\_address<mark style="color:red;">\*</mark>          | string         | Street address of Superteam's primary location                                                                                                     |
| city<mark style="color:red;">\*</mark>                     | string         | City of Superteam's primary location                                                                                                               |
| province\_state<mark style="color:red;">\*</mark>          | string         | [ISO province or state code](https://docs.certn.co/api/api-reference/resources/region-codes#provinces-and-states) for Superteam's primary location |
| country<mark style="color:red;">\*</mark>                  | string \<enum> | Country Code for Superteam's primary location. Must be one of "CA", "US", "GB", or "AU".                                                           |
| postal\_code<mark style="color:red;">\*</mark>             | string         | Postal code of Superteam's primary location                                                                                                        |
| other\_province\_state                                     | string         | If province\_state is OT, provide the province or state of the Superteam's primary location                                                        |
| is\_secure\_sms\_enabled<mark style="color:red;">\*</mark> | boolean        | SMS enabled or disabled for the team                                                                                                               |
| is\_report\_id\_enabled                                    | boolean        |                                                                                                                                                    |

{% tabs %}
{% tab title="201: Created Superteam successfully created" %}
{% tabs %}
{% tab title="Response type" %}
{% code title="application/json" %}

```json
{
    "id": "string <uuid>",
    "name": "string",
    "is_secure_sms_enabled": boolean,
    "street_address": "string",
    "city": "string",
    "postal_code": "string",
    "province_state": "string",
    "country": "string"
}
```

{% endcode %}
{% endtab %}

{% tab title="Example" %}

<pre class="language-json" data-title="application/json"><code class="lang-json">{
    "id": "aafa6f6b-e394-4514-b2b4-e5cfdabcffa1",
<strong>    "name": "Partner Superteam",
</strong>    "is_secure_sms_enabled": false,
    "street_address": "123 4 Main Street",
    "city": "Victoria",
    "postal_code": "V8A1B2",
    "province_state": "BC",
    "country": "CA"
}
</code></pre>

{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="400: Bad Request Missing required field(s) or invalid data" %}
This may be happening because:&#x20;

**You have missed a required field in your payload.**

*See* [#400-bad-request](https://docs.certn.co/api/resources/error-codes#400-bad-request "mention") *for more details.*
{% endtab %}

{% tab title="403: Forbidden Authentication failed" %}

{% endtab %}
{% endtabs %}

## Update a superteam

<mark style="color:orange;">`PUT`</mark> `https://api.certn.co/api/v1/superteams/{superteam_id}/` [<mark style="color:$danger;">**`DEPRECATED`**</mark>](https://docs.certn.co/api/deprecation)

#### Path Parameters

| Name                                            | Type           | Description  |
| ----------------------------------------------- | -------------- | ------------ |
| superteam\_id<mark style="color:red;">\*</mark> | string \<uuid> | Superteam id |

#### Request Body

| Name                                                       | Type    | Description                                                                                  |
| ---------------------------------------------------------- | ------- | -------------------------------------------------------------------------------------------- |
| name<mark style="color:red;">\*</mark>                     | string  | Superteam name                                                                               |
| is\_secure\_sms\_enabled<mark style="color:red;">\*</mark> | boolean | SMS enabled or disabled for the team                                                         |
| is\_report\_id\_enabled<mark style="color:red;">\*</mark>  | boolean |                                                                                              |
| street\_address<mark style="color:red;">\*</mark>          | string  | Street address of Superteam's primary location                                               |
| city<mark style="color:red;">\*</mark>                     | string  | City of Superteam's primary location                                                         |
| postal\_code<mark style="color:red;">\*</mark>             | string  | Postal code of Superteam's primary location                                                  |
| province\_state<mark style="color:red;">\*</mark>          | string  | for Superteam's primary location                                                             |
| other\_province\_state                                     | string  | If province\_state is OT, provide the province or state of the Superteam's primary location  |
| country<mark style="color:red;">\*</mark>                  | string  | ISO Country Code for Superteam's primary location. Must be one of "CA", "US", "GB", or "AU". |

{% tabs %}
{% tab title="200: OK Superteam successfully updated" %}
{% tabs %}
{% tab title="Response type" %}
{% code title="application/json" %}

```json
[
    {
        "id": string <uuid>,
        "name": string,
        "business_number": integer,
        "accounting_first_name": string,
        "accounting_last_name": string,
        "accounting_email": string,
        "team_first_name": string,
        "team_last_name": string,
        "team_email": string,
        "team_phone_number": string,
        "street_address": string,
        "city": string,
        "province_state": string <two letter code>,
        "country": string <ISO Country Code>,        
        "postal_code": string,
        "website": string,
        "industry": string,
        "active_user_count": integer,
        "internal_name": string,        
        "team_type": string,
    }
]
```

{% endcode %}
{% endtab %}

{% tab title="Example" %}
{% code title="application/json" %}

```json
[
    {
        "id": "17f225cf-f547-437a-8bd9-36599416f7e9",
        "name": "Example Team",
        "business_number": 1234,
        "accounting_first_name": "Magnus",
        "accounting_last_name": "Certn",
        "accounting_email": "example@certn.co",
        "team_first_name": "M",
        "team_last_name": "C",
        "team_email": "example_teammail@certn.co",
        "team_phone_number": null,
        "street_address": "4412 King Alfred Court",
        "city": "Victoria",
        "province_state": "BC",
        "country": "CA",
        "postal_code": null,
        "website": "https://www.certn.co",
        "industry": "Background Checks",
        "active_user_count": 7,
        "internal_name": "Example Team",
        "team_type": "OT"
    }
]
```

{% endcode %}
{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="400: Bad Request Missing required field(s) or invalid data" %}
This may be happening because:&#x20;

**You have missed a required field in your payload.**

*See* [#400-bad-request](https://docs.certn.co/api/resources/error-codes#400-bad-request "mention") *for more details.*
{% endtab %}

{% tab title="403: Forbidden Authentication failed" %}

{% endtab %}
{% endtabs %}

## Teams

A team serves as the lower of the two levels within your account hierarchy. It functions as an entity under a superteam. A superteam can have many teams. If `pre_pay` is set to false, Certn will invoice a team each month according to the checks ordered during that billing cycle. If `pre_pay` is set to true, the applicant's background check process will require them to pay online.

{% hint style="info" %}
Only available to partners using API version >= 1.1.0.
{% endhint %}

## Retrieve a list of your teams

<mark style="color:blue;">`GET`</mark> `https://api.certn.co/api/v1/teams/` [<mark style="color:$danger;">**`DEPRECATED`**</mark>](https://docs.certn.co/api/deprecation)

View a list of all your teams.

The results are sent via paginated response. To retrieve the next page, send a request to the URL under the field `next`, or add one to your page counter:

`https://api.certn.co/api/v1/teams/?page=<pgNum>`

You can also filter the list by a superteam by providing the superteam id as a query parameter.

#### Query Parameters

| Name                                        | Type           | Description             |
| ------------------------------------------- | -------------- | ----------------------- |
| superteam<mark style="color:red;">\*</mark> | string \<uuid> | Superteam id            |
| page                                        | int            | Page number to retrieve |

{% tabs %}
{% tab title="200: OK Teams successfully retrieved" %}
{% tabs %}
{% tab title="Response type" %}
{% code title="application/json" %}

```json
{
    "count": int,
    "next": URL,
    "previous": URL,
    "results": [
        {
            "id": string <uuid>,
            "name": string,
            "superteam": string <uuid>,
            "pre_pay": boolean
            "street_address": string,
            "city": string,
            "postal_code": string,
            "province_state": string,
            "other_province_state": string,
            "country": string,
            "accounting_first_name": string,
            "accounting_last_name": string,
            "accounting_email": string,
            "accounting_email_cc": string,
        },
    ]
}
```

{% endcode %}
{% endtab %}

{% tab title="Example" %}

```
{
    "count": 2,
    "next": null,
    "previous": null,
    "results": [
        {
            "id": "9624967f-993a-46b3-9dc0-4c9f71818f4e",
            "name": "Team Name 2",
            "superteam": "111cec04-a23c-4eda-81d8-9d32bb369c27",
            "pre_pay": false,
            "street_address": "123 4 Main Street",
            "city": "Victoria",
            "postal_code": "V2K9L0",
            "province_state": "SK",
            "other_province_state": null,
            "country": "CA",
            "accounting_first_name": "Accounting",
            "accounting_last_name": "Name",
            "accounting_email": "accountant@certn.co",
            "accounting_email_cc": null
        },
        {
            "id": "4c149bff-79b3-48d2-87fc-6212871a9ea4",
            "name": "Team Name",
            "superteam": "111cec04-a23c-4eda-81d8-9d32bb369c27",
            "pre_pay": true,
            "street_address": "18 Main Street",
            "city": "Saskatoon",
            "postal_code": "M2K 0G4",
            "province_state": "SK",
            "other_province_state": null,
            "country": "CA",
            "accounting_first_name": "Accounting",
            "accounting_last_name": "Name",
            "accounting_email": "accountant@certn.co",
            "accounting_email_cc": null
        }
    ]
}
```

{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="403: Forbidden Authentication failed" %}

{% endtab %}
{% endtabs %}

## Retrieve team details

<mark style="color:blue;">`GET`</mark> `https://api.certn.co/api/v1/teams/{team_id}/` [<mark style="color:$danger;">**`DEPRECATED`**</mark>](https://docs.certn.co/api/deprecation)

View the details of a team.

#### Path Parameters

| Name                                       | Type           | Description |
| ------------------------------------------ | -------------- | ----------- |
| team\_id<mark style="color:red;">\*</mark> | string \<uuid> | Team id     |

{% tabs %}
{% tab title="200: OK Team successfully retrieved" %}
{% tabs %}
{% tab title="Response Type" %}
{% code title="application/json" %}

```json
{
    "id": string <uuid>,
    "name": string,
    "superteam": string <uuid>,
    "type": string <Enum>,
    "pre_pay": boolean,
    "street_address": string,
    "city": string,
    "postal_code": string,
    "province_state": string,
    "other_province_state": string,
    "country": string,
    "accounting_first_name": string,
    "accounting_last_name": string,
    "accounting_email": string,
    "accounting_email_cc": string
}
```

{% endcode %}
{% endtab %}

{% tab title="Example" %}
{% code title="application/json" %}

```json
{
    "id": "9624967f-993a-46b3-9dc0-4c9f71818f4e",
    "name": "Team Name 2",
    "superteam": "111cec04-a23c-4eda-81d8-9d32bb369c27",
    "type": "HR",
    "pre_pay": false,
    "street_address": "123 4 Main Street",
    "city": "Victoria",
    "postal_code": "V2K9L0",
    "province_state": "SK",
    "other_province_state": null,
    "country": "CA",
    "accounting_first_name": "Accounting",
    "accounting_last_name": "Name",
    "accounting_email": "accountant@certn.co",
    "accounting_email_cc": null
}
```

{% endcode %}
{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="403: Forbidden Authentication failed" %}

{% endtab %}
{% endtabs %}

## Create a team

<mark style="color:green;">`POST`</mark> `https://api.certn.co/api/v1/teams/` [<mark style="color:$danger;">**`DEPRECATED`**</mark>](https://docs.certn.co/api/deprecation)

Create a new team.

#### Request Body

| Name                                              | Type           | Description                                                                                                                                           |
| ------------------------------------------------- | -------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------- |
| name<mark style="color:red;">\*</mark>            | string         | Unique team name                                                                                                                                      |
| type<mark style="color:red;">\*</mark>            | string \<enum> | Team type, "HR" or "PM"                                                                                                                               |
| country<mark style="color:red;">\*</mark>         | string \<enum> | [ISO country code](https://docs.certn.co/api/resources/region-codes#countries) for team's primary location. Must be one of "CA", "US", "GB", or "AU". |
| pre\_pay                                          | boolean        | Billing to be pre-paid. Default false.                                                                                                                |
| superteam<mark style="color:red;">\*</mark>       | string \<uuid> | Superteam                                                                                                                                             |
| province\_state<mark style="color:red;">\*</mark> | string         | [ISO province or state code](https://docs.certn.co/api/api-reference/resources/region-codes#provinces-and-states) for Team's primary location         |
| street\_address                                   | string         | Street address of Team's primary location                                                                                                             |
| city                                              | string         | City of Team's primary location                                                                                                                       |
| postal\_code                                      | string         | Postal code of Team's primary location                                                                                                                |
| other\_province\_state                            | string         | If province\_state is OT, provide the province or state of the Team's primary location                                                                |
| accounting\_email\_cc                             | string         | Email addresses to CC invoice emails to                                                                                                               |
| accounting\_email                                 | string         | Email address to send invoices to                                                                                                                     |
| accounting\_last\_name                            | string         | Last name of accountant responsible for handling team billing                                                                                         |
| accounting\_first\_name                           | string         | First name of accountant responsible for handling team billing                                                                                        |

{% tabs %}
{% tab title="201: Created Team successfully created" %}
{% tabs %}
{% tab title="Response type" %}
{% code title="application/json" %}

```json
{
    "id": string <uuid>,
    "name": string,
    "superteam": string <uuid>,
    "type": string <Enum>,
    "pre_pay": boolean,
    "street_address": string,
    "city": string,
    "postal_code": string,
    "province_state": string,
    "other_province_state": string,
    "country": string,
    "accounting_first_name": string,
    "accounting_last_name": string,
    "accounting_email": string,
    "accounting_email_cc": string
}
```

{% endcode %}
{% endtab %}

{% tab title="Example" %}
{% code title="application/json" %}

```json
{
    "id": "4c149bff-79b3-48d2-87fc-6212871a9ea4",
    "name": "Team Name",
    "superteam": "111cec04-a23c-4eda-81d8-9d32bb369c27",
    "type": "HR",
    "pre_pay": true,
    "street_address": "18 Main Street",
    "city": "Saskatoon",
    "postal_code": "M2K 0G4",
    "province_state": "SK",
    "other_province_state": null,
    "country": "CA",
    "accounting_first_name": "Accountant",
    "accounting_last_name": "Name",
    "accounting_email": "accountant@certn.co",
    "accounting_email_cc": ""
}
```

{% endcode %}
{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="400: Bad Request Missing required field(s) or invalid data" %}
This may be happening because:&#x20;

**No name, superteam, type, province\_state, and/or country provided in the request.**&#x20;

Ensure your request includes the name, superteam, type, province\_state, and country.

*See* [#400-bad-request](https://docs.certn.co/api/resources/error-codes#400-bad-request "mention") *for more details.* &#x20;
{% endtab %}

{% tab title="400: Bad Request Invalid superteam id" %}
This may be happening because:&#x20;

**The incorrect superteam id was provided.**&#x20;

Enter the correct superteam id in your request.&#x20;

*See* [#400-bad-request](https://docs.certn.co/api/resources/error-codes#400-bad-request "mention") *for more details.*&#x20;
{% endtab %}

{% tab title="400: Bad Request Country or type "LM" is not a valid choice" %}
This may be happening because:&#x20;

**The country or type field values are not valid.**&#x20;

Ensure you are using the following values for the country and type fields:&#x20;

*Country*: "US", "CA", "GB", or "AU"\
\&#xNAN;*Type*: "HR" or "PM"

*See* [#400-bad-request](https://docs.certn.co/api/resources/error-codes#400-bad-request "mention") *for more details.*&#x20;
{% endtab %}

{% tab title="403: Forbidden Authentication failed" %}

{% endtab %}
{% endtabs %}

## Update a team

<mark style="color:orange;">`PUT`</mark> `https://api.certn.co/api/v1/teams/{team_id}/` [<mark style="color:$danger;">**`DEPRECATED`**</mark>](https://docs.certn.co/api/deprecation)

Update the details of a team.

A PUT request is an entire resource replacement.

#### Path Parameters

| Name                                       | Type           | Description |
| ------------------------------------------ | -------------- | ----------- |
| team\_id<mark style="color:red;">\*</mark> | string \<uuid> | Team id     |

#### Request Body

| Name                                                      | Type           | Description                                                                                                                                           |
| --------------------------------------------------------- | -------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------- |
| name<mark style="color:red;">\*</mark>                    | string         | Unique team name                                                                                                                                      |
| type<mark style="color:red;">\*</mark>                    | string \<enum> | Team type, "HR" or "PM"                                                                                                                               |
| country<mark style="color:red;">\*</mark>                 | string \<enum> | [ISO country code](https://docs.certn.co/api/resources/region-codes#countries) for Team's primary location. Must be one of "CA", "US", "GB", or "AU". |
| pre\_pay<mark style="color:red;">\*</mark>                | boolean        | Billing type. Default false.                                                                                                                          |
| superteam<mark style="color:red;">\*</mark>               | string \<uuid> | Superteam id                                                                                                                                          |
| postal\_code<mark style="color:red;">\*</mark>            | string         | Postal code of Team's primary location                                                                                                                |
| city<mark style="color:red;">\*</mark>                    | string         | City of Team's primary location                                                                                                                       |
| street\_address<mark style="color:red;">\*</mark>         | string         | Street address of Team's primary location                                                                                                             |
| province\_state<mark style="color:red;">\*</mark>         | string         | [ISO province or state code](https://docs.certn.co/api/api-reference/resources/region-codes#provinces-and-states) for Team's primary location         |
| accounting\_first\_name<mark style="color:red;">\*</mark> | string         | First name of accountant responsible for handling team billing                                                                                        |
| accounting\_last\_name<mark style="color:red;">\*</mark>  | string         | Last name of accountant responsible for handling team billing                                                                                         |
| accounting\_email<mark style="color:red;">\*</mark>       | string         | Email address to send invoices to                                                                                                                     |
| accounting\_email\_cc<mark style="color:red;">\*</mark>   | string         | Email addresses to CC invoice emails to                                                                                                               |
| other\_province\_state                                    | string         | If province\_state is OT, provide the province or state of the Superteam's primary location                                                           |

{% tabs %}
{% tab title="200: OK Team successfully updated" %}
{% tabs %}
{% tab title="Response type" %}
{% code title="application/json" %}

```json
{
    "id": string <uuid>,
    "name": string,
    "superteam": string <uuid>,
    "type": string <Enum>
    "pre_pay": boolean,
    "street_address": string,
    "city": string,
    "postal_code": string,
    "province_state": string,
    "other_province_state": string,
    "country": string,
    "accounting_first_name": string,
    "accounting_last_name": string,
    "accounting_email": string,
    "accounting_email_cc": string
}
```

{% endcode %}
{% endtab %}

{% tab title="Example" %}
{% code title="application/json" %}

```json
{
    "id": "4c149bff-79b3-48d2-87fc-6212871a9ea4",
    "name": "Team Name",
    "superteam": "111cec04-a23c-4eda-81d8-9d32bb369c27",
    "type": "HR"
    "pre_pay": true,
    "street_address": "18 Main Street",
    "city": "Saskatoon",
    "postal_code": "M2K 0G4",
    "province_state": "SK",
    "other_province_state": null,
    "country": "CA",
    "accounting_first_name": "Accountant",
    "accounting_last_name": "Name",
    "accounting_email": "accountant@certn.co",
    "accounting_email_cc": ""
}
```

{% endcode %}
{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="400: Bad Request Missing required field(s) or invalid data" %}
This may be happening because:&#x20;

**No id, name, type, superteam name, and/or country provided in the request.**&#x20;

Ensure your request includes the id, name, type, superteam name, and country.

*See* [#400-bad-request](https://docs.certn.co/api/resources/error-codes#400-bad-request "mention") *for more details.* &#x20;
{% endtab %}

{% tab title="400: Bad Request <field> cannot be updated" %}
Once a team **type**, **superteam**, and **country** have been set, they cannot be changed. It is recommended you create a new team with applicable fields.
{% endtab %}

{% tab title="403: Forbidden Authentication failed" %}

{% endtab %}
{% endtabs %}

## Retrieve a team's address reference templates

<mark style="color:blue;">`GET`</mark> `https://api.certn.co/api/v1/teams/{team_id}/address/reference_templates/` [<mark style="color:$danger;">**`DEPRECATED`**</mark>](https://docs.certn.co/api/deprecation)

View the details of all address reference templates for a team.

#### Path Parameters

| Name                                       | Type   | Description    |
| ------------------------------------------ | ------ | -------------- |
| team\_id<mark style="color:red;">\*</mark> | string | ID of the team |

{% tabs %}
{% tab title="200: OK Questionnaires successfully retrieved" %}
{% tabs %}
{% tab title="Response type" %}
{% code title="application/json" %}

```json
[
    {
        "id": string,
        "name": string,
        "version": string,
        "description": string,
        "type": string < enum > ,
        "questions": [{
                "id": string,
                "index": int,
                "question": string,
                "type": string < enum > ,
                "multiple_choice_options": [
                    string,
                    string
                ],
                "multiple_choice_correct_option": string,
                "is_verifiable": boolean,
                "is_required": boolean
            }, {
                "id": string,
                "index": int,
                "question": string,
                "type": string < enum > ,
                "multiple_choice_options": [
                    string,
                    string
                ],
                "multiple_choice_correct_option": string,
                "is_verifiable": boolean,
                "is_required": boolean
            }
        ]
    }
]

```

{% endcode %}
{% endtab %}

{% tab title="Example" %}
{% code title="application/json" %}

```json
[
    {
        "id": "ae3087ac-bccc-4cf1-b149-30b2a854d210",
        "name": "Default",
        "version": "0.0.0",
        "description": "Default Address Reference Questionnaire",
        "type": "ADDRESS",
        "questions": [{
                "id": "80f2d05c-8ee0-4c8e-a8fe-030403bd3378",
                "index": 0,
                "question": "Did {{ first_name }} {{ last_name }} rent from {{ start_date }}{% if end_date %} to {{ end_date }}{% endif %}?",
                "type": "TRUE_FALSE",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": true,
                "is_required": true
            }, {
                "id": "ae95f70b-24b8-4cc5-97ae-19aeefe732bd",
                "index": 1,
                "question": "What was the address {{ first_name }} {{ last_name }} lived at?",
                "type": "MULTIPLE_CHOICE",
                "multiple_choice_options": [
                    "11012 Main St. Vancouver BC V6T 1X1",
                    "2023 Alma Ave. Toronto ON M6H 3P2",
                    "4334 Connolly St. Halifax NS B3L 3M4",
                    "{{ address }}"
                ],
                "multiple_choice_correct_option": "{{ address }}",
                "is_verifiable": true,
                "is_required": false
            }, {
                "id": "be755532-f4a2-4372-bb80-8dca8e9fe4f4",
                "index": 2,
                "question": "Was {{ first_name }} {{ last_name }} generally a clean and/or organized tenant (1 not clean, 10 very clean)?",
                "type": "NUMERIC_RANGE",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": false,
                "is_required": false
            }, {
                "id": "b5b7383e-a165-4722-b09c-082643bb3cfc",
                "index": 3,
                "question": "How well did {{ first_name }} {{ last_name }} generally get along with property managers and/or fellow residents (1 not well at all, 10 very well)?",
                "type": "NUMERIC_RANGE",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": false,
                "is_required": false
            }, {
                "id": "a85394ae-2e49-47a7-a94a-a8b6f6200103",
                "index": 4,
                "question": "How likely would you be to rent to {{ first_name }} {{ last_name }} again? Are you comfortable recommending {{ first_name }} {{ last_name }} as a tenant (1 not likely, 10 very likely)?",
                "type": "NUMERIC_RANGE",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": false,
                "is_required": false
            }, {
                "id": "21c8810b-bb58-4f5b-8445-17526757da73",
                "index": 5,
                "question": "Did you receive complaints from neighbours with regards to {{ first_name }} {{ last_name }}'s behaviour (1 frequently, 10 never)?",
                "type": "NUMERIC_RANGE",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": false,
                "is_required": false
            }, {
                "id": "05b96f0f-fbf0-4378-907f-177c6682a034",
                "index": 6,
                "question": "Do you have any additional comments you'd like to provide regarding {{ first_name }} {{ last_name }}?",
                "type": "LONG_ANSWER",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": false,
                "is_required": false
            }
        ]
    }
]

```

{% endcode %}
{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="404: Not Found Team not found" %}
This may be happening because:<br>

**The ID you provided couldn't be found**

Add your team ID to the URL and make sure it's in the proper format.

*See* [#404-not-found](https://docs.certn.co/api/resources/error-codes#404-not-found "mention") *for more details.*
{% endtab %}
{% endtabs %}

## Retrieve a team's employer reference templates

<mark style="color:blue;">`GET`</mark> `https://api.certn.co/api/v1/teams/{team_id}/employer/reference_templates/` [<mark style="color:$danger;">**`DEPRECATED`**</mark>](https://docs.certn.co/api/deprecation)

View the details of all employer references templates for a team.

#### Path Parameters

| Name     | Type   | Description    |
| -------- | ------ | -------------- |
| team\_id | string | ID of the team |

{% tabs %}
{% tab title="200: OK Questionnaires successfully retrieved" %}
{% tabs %}
{% tab title="Response type" %}
{% code title="application/json" %}

```json
[
    {
        "id": string,
        "name": string,
        "version": string,
        "description": string,
        "type": string < enum > ,
        "questions": [{
                "id": string,
                "index": int,
                "question": string,
                "type": string < enum > ,
                "multiple_choice_options": [
                    string,
                    string,
                    string
                ],
                "multiple_choice_correct_option": string,
                "is_verifiable": boolean,
                "is_required": boolean
            }, {
                "id": string,
                "index": int,
                "question": string,
                "type": string < enum > ,
                "multiple_choice_options": [
                    string,
                    string,
                    string
                ],
                "multiple_choice_correct_option": string,
                "is_verifiable": boolean,
                "is_required": boolean
            }
        ]
    }
]
```

{% endcode %}
{% endtab %}

{% tab title="Example" %}
{% code title="application/json" %}

```
[
    {
        "id": "9550b49d-4069-4b41-8672-b9dc02661db2",
        "name": "Default",
        "version": "0.0.0",
        "description": "Default Employer Reference Questionnaire",
        "type": "EMPLOYER",
        "questions": [{
                "id": "c598a517-b89d-4372-873b-b0f27c8afd27",
                "index": 0,
                "question": "What was {{ first_name }} {{ last_name }}'s most recent position at {{ company_name }}?",
                "type": "MULTIPLE_CHOICE",
                "multiple_choice_options": [
                    "Financial Analyst",
                    "Receptionist",
                    "Contractor",
                    "{{ position }}"
                ],
                "multiple_choice_correct_option": "{{ position }}",
                "is_verifiable": true,
                "is_required": false
            }, {
                "id": "0f1aebd6-2286-435f-bd81-f9d8e9a0645d",
                "index": 1,
                "question": "Did {{ first_name }} {{ last_name }} work at {{ company_name }} from {{ start_date }}{% if end_date %} to {{ end_date }}{% endif %}?",
                "type": "TRUE_FALSE",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": true,
                "is_required": false
            }, {
                "id": "4c1d943d-b595-4b7f-9983-be13a72e0003",
                "index": 2,
                "question": "If given the opportunity, would you hire {{ first_name }} {{ last_name }} again?",
                "type": "TRUE_FALSE",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": false,
                "is_required": false
            }, {
                "id": "1fedf7c4-0f7f-4546-841f-c6eb226da2b8",
                "index": 3,
                "question": "In general, how well did {{ first_name }} {{ last_name }} get along with customers, peers and/or managers (1 not at all, 10 very much so)?",
                "type": "NUMERIC_RANGE",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": false,
                "is_required": false
            }, {
                "id": "f408d503-da54-42a4-b29e-d235bf9c890c",
                "index": 4,
                "question": "In general, did {{ first_name }} {{ last_name }} arrive on time to work (1 not at all, 10 very much so)?",
                "type": "NUMERIC_RANGE",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": false,
                "is_required": false
            }, {
                "id": "e6c11a10-b4b8-4f47-a304-edf498e1e50f",
                "index": 5,
                "question": "How well did {{ first_name }} {{ last_name }} satisfy the requirements of the position (1 not satisfactory, 10 very satisfactory)?",
                "type": "NUMERIC_RANGE",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": false,
                "is_required": false
            }, {
                "id": "aea311f1-a98d-42a5-b23b-a092affd275c",
                "index": 6,
                "question": "Did {{ first_name }} {{ last_name }} go above and beyond what was required without being asked (1 not at all, 10 very much so)?",
                "type": "NUMERIC_RANGE",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": false,
                "is_required": false
            }, {
                "id": "cd1d12c0-002b-4090-a758-6904ad7c2bf1",
                "index": 7,
                "question": "How would you rate {{ first_name }} {{ last_name }}'s ability to handle high pressure or stressful situations (1 not good at all, 10 very good)?",
                "type": "NUMERIC_RANGE",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": false,
                "is_required": false
            }, {
                "id": "3dc846b6-773e-4cfe-852d-5eec405c5f5c",
                "index": 8,
                "question": "Do you have any additional comments you'd like to provide regarding {{ first_name }} {{ last_name }}?",
                "type": "LONG_ANSWER",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": false,
                "is_required": false
            }
        ]
    }
][
    {
        "id": "9550b49d-4069-4b41-8672-b9dc02661db2",
        "name": "Default",
        "version": "0.0.0",
        "description": "Default Employer Reference Questionnaire",
        "type": "EMPLOYER",
        "questions": [{
                "id": "c598a517-b89d-4372-873b-b0f27c8afd27",
                "index": 0,
                "question": "What was {{ first_name }} {{ last_name }}'s most recent position at {{ company_name }}?",
                "type": "MULTIPLE_CHOICE",
                "multiple_choice_options": [
                    "Financial Analyst",
                    "Receptionist",
                    "Contractor",
                    "{{ position }}"
                ],
                "multiple_choice_correct_option": "{{ position }}",
                "is_verifiable": true,
                "is_required": false
            }, {
                "id": "0f1aebd6-2286-435f-bd81-f9d8e9a0645d",
                "index": 1,
                "question": "Did {{ first_name }} {{ last_name }} work at {{ company_name }} from {{ start_date }}{% if end_date %} to {{ end_date }}{% endif %}?",
                "type": "TRUE_FALSE",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": true,
                "is_required": false
            }, {
                "id": "4c1d943d-b595-4b7f-9983-be13a72e0003",
                "index": 2,
                "question": "If given the opportunity, would you hire {{ first_name }} {{ last_name }} again?",
                "type": "TRUE_FALSE",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": false,
                "is_required": false
            }, {
                "id": "1fedf7c4-0f7f-4546-841f-c6eb226da2b8",
                "index": 3,
                "question": "In general, how well did {{ first_name }} {{ last_name }} get along with customers, peers and/or managers (1 not at all, 10 very much so)?",
                "type": "NUMERIC_RANGE",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": false,
                "is_required": false
            }, {
                "id": "f408d503-da54-42a4-b29e-d235bf9c890c",
                "index": 4,
                "question": "In general, did {{ first_name }} {{ last_name }} arrive on time to work (1 not at all, 10 very much so)?",
                "type": "NUMERIC_RANGE",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": false,
                "is_required": false
            }, {
                "id": "e6c11a10-b4b8-4f47-a304-edf498e1e50f",
                "index": 5,
                "question": "How well did {{ first_name }} {{ last_name }} satisfy the requirements of the position (1 not satisfactory, 10 very satisfactory)?",
                "type": "NUMERIC_RANGE",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": false,
                "is_required": false
            }, {
                "id": "aea311f1-a98d-42a5-b23b-a092affd275c",
                "index": 6,
                "question": "Did {{ first_name }} {{ last_name }} go above and beyond what was required without being asked (1 not at all, 10 very much so)?",
                "type": "NUMERIC_RANGE",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": false,
                "is_required": false
            }, {
                "id": "cd1d12c0-002b-4090-a758-6904ad7c2bf1",
                "index": 7,
                "question": "How would you rate {{ first_name }} {{ last_name }}'s ability to handle high pressure or stressful situations (1 not good at all, 10 very good)?",
                "type": "NUMERIC_RANGE",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": false,
                "is_required": false
            }, {
                "id": "3dc846b6-773e-4cfe-852d-5eec405c5f5c",
                "index": 8,
                "question": "Do you have any additional comments you'd like to provide regarding {{ first_name }} {{ last_name }}?",
                "type": "LONG_ANSWER",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": false,
                "is_required": false
            }
        ]
    }
]
```

{% endcode %}
{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="404: Not Found Team not found" %}
This may be happening because:<br>

**The ID you provided couldn't be found**

Add your team ID to the URL and make sure it's in the proper format.

*See* [#404-not-found](https://docs.certn.co/api/resources/error-codes#404-not-found "mention") *for more details.*
{% endtab %}
{% endtabs %}

## Users

A user is the individual that orders background checks via your platform. They can be assigned as the Owner of a background check to track activity as well. To grant your users access to the Certn platform for viewing reports or managing settings, they must have a login created using this method.

By default, users will not receive a Welcome email from Certn when they are created. However, they can receive a temporary password by following [**Forgot my password?**](https://app.certn.co/login) link.

{% hint style="info" %}
Only available to partners using API version >= 1.1.0
{% endhint %}

## Retrieve a list of users

<mark style="color:blue;">`GET`</mark> `https://api.certn.co/api/v1/users/` [<mark style="color:$danger;">**`DEPRECATED`**</mark>](https://docs.certn.co/api/deprecation)

View a list of users.

#### Query Parameters

| Name       | Type           | Description  |
| ---------- | -------------- | ------------ |
| superteam  | string \<uuid> | Superteam id |
| team       | string \<uuid> | Team id      |
| is\_active | boolean        |              |

{% tabs %}
{% tab title="200: OK Users successfully retrieved" %}
{% tabs %}
{% tab title="Response type" %}
{% code title="application/json" %}

```json
{
    "count": int,
    "next": URL,
    "previous": URL,
    "results": [
        {
            "id": string <uuid>,
            "first_name": string,
            "last_name": string,
            "is_active": boolean,
            "superteam": string <uuid>,
            "team": string <uuid>
        }
    ]
}
```

{% endcode %}
{% endtab %}

{% tab title="Example" %}

```json
{
    "count": 2,
    "next": null,
    "previous": null,
    "results": [
        {
            "id": "c1b0c944-551a-46b5-ab88-bdf22f6b06fd",
            "first_name": "Joe",
            "last_name": "Bidem",
            "is_active": false,
            "superteam": "aafa6f6b-e394-4514-b2b4-e5cfdabcffa1",
            "team": "10626a80-00f2-4e04-9b99-16693f76a6ed"
        },
        {
            "id": "0ec5b68e-890b-4a40-992d-a5cb080abd46",
            "first_name": "User Three",
            "last_name": "lastname",
            "is_active": true,
            "superteam": "23554549-b086-4f74-94fe-ccf88e1c643b",
            "team": "6aba518e-1d98-4f97-bc77-c5cee59e44cd"
        }
    ]
}    
```

{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="403: Forbidden Authentication failed" %}

{% endtab %}
{% endtabs %}

## Retrieve a user's details

<mark style="color:blue;">`GET`</mark> `https://api.certn.co/api/v1/users/{user_id}/` [<mark style="color:$danger;">**`DEPRECATED`**</mark>](https://docs.certn.co/api/deprecation)

View a user's details.

#### Path Parameters

| Name                                       | Type           | Description |
| ------------------------------------------ | -------------- | ----------- |
| user\_id<mark style="color:red;">\*</mark> | string \<uuid> | User id     |

{% tabs %}
{% tab title="200: OK Details successfully retrieved" %}
{% tabs %}
{% tab title="Response Type" %}

<pre class="language-json" data-title="application/json"><code class="lang-json"><strong>{
</strong>    "id": string &#x3C;uuid>,
    "first_name": string,
    "last_name": string,
    "email": string,
    "language": string &#x3C;Enum>,
    "is_active": boolean,
    "superteam": string &#x3C;uuid>,
    "team": string &#x3C;uuid>
}
</code></pre>

{% endtab %}

{% tab title="Example" %}

<pre class="language-json" data-title="application/json"><code class="lang-json"><strong>{
</strong>    "id": "d04a8ade-4cf1-4bab-9ba5-c82b16c6daca",
    "first_name": "John",
    "last_name": "Doe",
    "email": "john.doe@certn.co",
    "language": "en",
    "is_active": true,
    "superteam": "c10f334c-0af8-4fb9-8e42-736f555bb400",
    "team": "0de5550b-f93f-4075-a022-52b907592198"
}
</code></pre>

{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="403: Forbidden Authentication failed" %}

{% endtab %}
{% endtabs %}

## Create a user

<mark style="color:green;">`POST`</mark> `https://api.certn.co/api/v1/users/` [<mark style="color:$danger;">**`DEPRECATED`**</mark>](https://docs.certn.co/api/deprecation)

Create a new user.&#x20;

#### Request Body

| Name                                          | Type           | Description                                  |
| --------------------------------------------- | -------------- | -------------------------------------------- |
| first\_name<mark style="color:red;">\*</mark> | string         | User's first name                            |
| last\_name<mark style="color:red;">\*</mark>  | string         | User's last name                             |
| email<mark style="color:red;">\*</mark>       | string         | User's email, unique                         |
| language<mark style="color:red;">\*</mark>    | string \<enum> | User's language. Must be either "en" or "fr" |
| team<mark style="color:red;">\*</mark>        | string \<uuid> | Team id                                      |
| is\_active<mark style="color:red;">\*</mark>  | boolean        | Default true                                 |

{% tabs %}
{% tab title="201: Created User successfully retrieved. " %}
{% tabs %}
{% tab title="Response type" %}
{% code title="application/json" %}

```json
{
    "id": string <uuid>,
    "first_name": string,
    "last_name": string,
    "email": string,
    "language": string <Enum>,
    "is_active": boolean,
    "team": string <uuid>
}
```

{% endcode %}
{% endtab %}

{% tab title="Example" %}
{% code title="application/json" %}

```json
{
    "id": "1ee80af9-e047-438d-a6d3-a14bbf179cfd",
    "first_name": "John",
    "last_name": "Doe",
    "email": "john.doe@certn.co",
    "language": "en",
    "is_active": true,
    "team": "0de5550b-f93f-4075-a022-52b907592198"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="400: Bad Request Missing required field(s) or invalid data" %}
This is happening because:&#x20;

You have missed one of the required parameters in the request body (see parameters above)

*See* [#400-bad-request](https://docs.certn.co/api/resources/error-codes#400-bad-request "mention") *for more details.*&#x20;
{% endtab %}

{% tab title="400: Bad Request Invalid team id. " %}
This may be happening because:&#x20;

**The incorrect team id was provided.**&#x20;

Enter the correct team id in your request.&#x20;

*See* [#400-bad-request](https://docs.certn.co/api/resources/error-codes#400-bad-request "mention") *for more details.*&#x20;
{% endtab %}

{% tab title="400: Bad Request <field name> is not a valid choice. " %}
This may be happening because:&#x20;

**Field values are not in the pre-defined list.**&#x20;

Ensure you are using valid values for each field. &#x20;

*See* [#400-bad-request](https://docs.certn.co/api/resources/error-codes#400-bad-request "mention") *for more details.*&#x20;
{% endtab %}

{% tab title="400: Bad Request Email is already in use" %}
This is happening because there is already a user registered by this email in our system. Emails must be unique.
{% endtab %}

{% tab title="403: Forbidden Authentication failed" %}

{% endtab %}
{% endtabs %}

## Update a user

<mark style="color:orange;">`PUT`</mark> `https://api.certn.co/api/v1/users/{user_id}/` [<mark style="color:$danger;">**`DEPRECATED`**</mark>](https://docs.certn.co/api/deprecation)

#### Path Parameters

| Name                                          | Type           | Description                                            |
| --------------------------------------------- | -------------- | ------------------------------------------------------ |
| first\_name<mark style="color:red;">\*</mark> | string         | User's first name                                      |
| last\_name<mark style="color:red;">\*</mark>  | string         | User's last name                                       |
| email<mark style="color:red;">\*</mark>       | string         | User's email, unique                                   |
| language<mark style="color:red;">\*</mark>    | string \<enum> | Language for user details. Must be either "en" or "fr" |
| team<mark style="color:red;">\*</mark>        | string \<uuid> | Team id                                                |
| is\_active<mark style="color:red;">\*</mark>  | boolean        | Default true                                           |

{% tabs %}
{% tab title="200: OK User successfully updated" %}
{% tabs %}
{% tab title="Response type" %}
{% code title="application/json" %}

```json
{
    "id": string <uuid>,
    "first_name": string,
    "last_name": string,
    "email": string,
    "language": string <Enum>,
    "is_active": boolean,
    "team": string <uuid>
}
```

{% endcode %}
{% endtab %}

{% tab title="Example" %}
{% code title="application/json" %}

```json
{
    "id": "1ee80af9-e047-438d-a6d3-a14bbf179cfd",
    "first_name": "John",
    "last_name": "Doe",
    "email": "john.doe@certn.co",
    "language": "en",
    "is_active": true,
    "team": "0de5550b-f93f-4075-a022-52b907592198"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="400: Bad Request Missing required field(s) or invalid data" %}
This may be happening because:&#x20;

**You are missing required fields**

Add all the required fields to the body of your request.

*See* [#400-bad-request](https://docs.certn.co/api/resources/error-codes#400-bad-request "mention") *for more details.* &#x20;
{% endtab %}

{% tab title="400: Bad Request Invalid team id" %}
This may be happening because:&#x20;

**The incorrect team id was provided.**&#x20;

Enter the correct team id in your request.&#x20;

*See* [#400-bad-request](https://docs.certn.co/api/resources/error-codes#400-bad-request "mention") *for more details.*&#x20;
{% endtab %}

{% tab title="400: Bad Request <field name> is not a valid choice" %}
This may be happening because:&#x20;

**Field values are not in the pre-defined list.**&#x20;

Ensure you are using valid values for each field. &#x20;

*See* [#400-bad-request](https://docs.certn.co/api/resources/error-codes#400-bad-request "mention") *for more details.*&#x20;
{% endtab %}

{% tab title="403: Forbidden " %}

{% endtab %}
{% endtabs %}

## Packages

A collection of varied background check searches is known as a package. Retrieve these packages to enable your end users to choose from them on your platform.

Retrieving specific packages allows you to identify the correct [Request Flags](https://docs.certn.co/api/api-reference/resources/application-parameters/request-flags) to include when users [invite](https://docs.certn.co/api/hr#invite-an-applicant) or [instantly screen](https://docs.certn.co/api/hr#screen-an-applicant-instantly) an applicant via [hr](https://docs.certn.co/api/api-reference/hr "mention").&#x20;

Or when users [invite](https://docs.certn.co/api/pm#invite-an-applicant) or [instantly screen](https://docs.certn.co/api/pm#screen-an-applicant-instantly) an applicant via [pm](https://docs.certn.co/api/api-reference/pm "mention").

{% hint style="info" %}
Available to all partners
{% endhint %}

## Retrieve your packages

<mark style="color:blue;">`GET`</mark> `https://api.certn.co/api/v1/packages/` [<mark style="color:$danger;">**`DEPRECATED`**</mark>](https://docs.certn.co/api/deprecation)

#### Query Parameters

| Name      | Type           | Description  |
| --------- | -------------- | ------------ |
| superteam | string \<uuid> | Superteam id |
| team      | string \<uuid> | Team id      |

{% tabs %}
{% tab title="200: OK Packages successfully retrieved" %}
{% tabs %}
{% tab title="Response Type" %}

{% endtab %}

{% tab title="Example" %}

{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="403: Forbidden Authentication failed" %}

{% endtab %}
{% endtabs %}

## Retrieve details for a specific package by id

<mark style="color:blue;">`GET`</mark> `https://api.certn.co/api/v1/packages/{package_id}/` [<mark style="color:$danger;">**`DEPRECATED`**</mark>](https://docs.certn.co/api/deprecation)

#### Path Parameters

| Name        | Type           | Description       |
| ----------- | -------------- | ----------------- |
| package\_id | string \<uuid> | ID of the package |

{% tabs %}
{% tab title="200: OK Package successfully retrieved" %}
{% tabs %}
{% tab title="Response Type" %}
{% code title="application/json" %}

```json
{
    "id": string <uuid>,
    "name": "Package Name",
    "superteam": string <uuid>,
    "team": string <uuid>,
    "request_flags": [
        "request_enhanced_identity_verification",
        "request_social_media_check",
        "request_us_criminal_record_check_tier_1"
    ],
    "settings": {
        "requested_countries": [string],
        "us_criminal_record_check_years": 7,
        "employer_questionaire_id": string <uuid>,
        "address_questionaire_id": string <uuid>,
        "employer_references_max": int,
        "employer_references_min": int,
        "address_references_max": int,
        "address_references_min": int,
        "employment_verification_min": int,
        "employment_verification_max": int,
        "education_verification_min": int,
        "education_verification_max": int,
        "credential_verification_min": int,
        "credential_verification_max": int,
        "credential_verification_level": string <Enum>,
        "education_verification_level": string <Enum>,
        "employer_references_years": int,
        "address_references_years": int,
        "employment_verification_years": int,
        "address_references_years_or_individually": string <Enum>,
        "employer_references_years_or_individually": string <Enum>,
        "employment_verification_years_or_individually": string <Enum>,
        "purpose_of_check": string <Enum>,
        "position_title": string,
        "place_of_work": string,
        "license_type": string,
        "issuing_authority": string,
        "reason_for_check": string,
        "state_or_territory": string,
        "location_of_work": string,
        "volunteer_role": string,
        "volunteer_organization": string,
        "role_or_position_title": string,
        "employment_sector": string <Enum>
    }
}
```

{% endcode %}
{% endtab %}

{% tab title="Example" %}
{% code title="application/json" %}

```json
{
    "id": "35e95c65-ed02-4a34-948d-2267568fe69f",
    "name": "Package Name",
    "superteam": "c10f334c-0af8-4fb9-8e42-736f555bb400",
    "team": "0de5550b-f93f-4075-a022-52b907592198",
    "request_flags": [
        "request_enhanced_identity_verification",
        "request_social_media_check",
        "request_us_criminal_record_check_tier_1"
    ],
    "settings": {
        "requested_countries": [],
        "us_criminal_record_check_years": 7,
        "employer_questionaire_id": null,
        "address_questionaire_id": null,
        "employer_references_max": 1,
        "employer_references_min": 1,
        "address_references_max": 1,
        "address_references_min": 1,
        "employment_verification_min": 1,
        "employment_verification_max": 1,
        "education_verification_min": 1,
        "education_verification_max": 1,
        "credential_verification_min": 1,
        "credential_verification_max": 1,
        "credential_verification_level": "ALL",
        "education_verification_level": "ALL",
        "employer_references_years": 3,
        "address_references_years": 3,
        "employment_verification_years": 3,
        "address_references_years_or_individually": "INDIVIDUALLY",
        "employer_references_years_or_individually": "INDIVIDUALLY",
        "employment_verification_years_or_individually": "INDIVIDUALLY",
        "purpose_of_check": null,
        "position_title": "",
        "place_of_work": "",
        "license_type": "",
        "issuing_authority": "",
        "reason_for_check": "",
        "state_or_territory": "",
        "location_of_work": "",
        "volunteer_role": "",
        "volunteer_organization": "",
        "role_or_position_title": "",
        "employment_sector": ""
    }
}
```

{% endcode %}
{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="404: Not Found Package not found" %}
This may be happening because:&#x20;

**The pacakge\_id you used doesn't exist.**

Ensure you are using a valid id.&#x20;

*See* [#404-not-found](https://docs.certn.co/api/resources/error-codes#404-not-found "mention") *for more details.*
{% endtab %}

{% tab title="400: Bad Request Missing required field(s) or invalid data" %}

{% endtab %}

{% tab title="403: Forbidden Authentication failed" %}

{% endtab %}
{% endtabs %}

## Create a package

<mark style="color:green;">`POST`</mark> `https://api.certn.co/api/v1/packages/` [<mark style="color:$danger;">**`DEPRECATED`**</mark>](https://docs.certn.co/api/deprecation)

#### Request Body

| Name                                   | Type           | Description                                                                                                                       |
| -------------------------------------- | -------------- | --------------------------------------------------------------------------------------------------------------------------------- |
| team                                   | string \<uuid> | Team id. Defaults to api user's team if not provided.                                                                             |
| name<mark style="color:red;">\*</mark> | string         | Name of package                                                                                                                   |
| request\_flags                         | list\[string]  | List of [request-flags](https://docs.certn.co/api/api-reference/resources/application-parameters/request-flags "mention") strings |
| settings                               | object         | [package-settings](https://docs.certn.co/api/api-reference/resources/application-parameters/package-settings "mention")           |

{% tabs %}
{% tab title="201: Created Package successfully created" %}
{% tabs %}
{% tab title="Response Type" %}
{% code title="application/json" %}

```json
{
    "id": string <uuid>,
    "name": string,
    "team": string <uuid>,
    "request_flags": [
        string
    ]
    "settings": {
        object (Package settings)
    }
}
```

{% endcode %}
{% endtab %}

{% tab title="Example" %}
{% code title="application/json" %}

```json
{
    "id": "2ffb4c49-96cf-4b31-8ec3-63ba2dfd3b3b",
    "name": "Package Name",
    "team": "0de5550b-f93f-4075-a022-52b907592198",
    "request_flags": [
        "request_enhanced_identity_verification"
    ]
}
```

{% endcode %}
{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="400: Bad Request Missing required field(s) or invalid data" %}
This may be happening because:&#x20;

**You have missed a required field in your payload.**

*See* [#400-bad-request](https://docs.certn.co/api/resources/error-codes#400-bad-request "mention") *for more details.*
{% endtab %}

{% tab title="403: Forbidden Authentication failed" %}

{% endtab %}
{% endtabs %}

## Update a package

<mark style="color:orange;">`PUT`</mark> `https://api.certn.co/api/v1/packages/{package_id}/` [<mark style="color:$danger;">**`DEPRECATED`**</mark>](https://docs.certn.co/api/deprecation)

#### Path Parameters

| Name                                          | Type           | Description   |
| --------------------------------------------- | -------------- | ------------- |
| package\_id<mark style="color:red;">\*</mark> | string \<uuid> | ID of package |

#### Request Body

| Name                                             | Type           | Description                                                                                                                       |
| ------------------------------------------------ | -------------- | --------------------------------------------------------------------------------------------------------------------------------- |
| name<mark style="color:red;">\*</mark>           | string         | Name of package                                                                                                                   |
| team<mark style="color:red;">\*</mark>           | string \<uuid> | Team id                                                                                                                           |
| request\_flags<mark style="color:red;">\*</mark> | list\[string]  | List of [request-flags](https://docs.certn.co/api/api-reference/resources/application-parameters/request-flags "mention") strings |
| settings<mark style="color:red;">\*</mark>       | object         | [package-settings](https://docs.certn.co/api/api-reference/resources/application-parameters/package-settings "mention")           |

{% tabs %}
{% tab title="200: OK Package successfully updated" %}
{% tabs %}
{% tab title="Response Type" %}

```json
{
    "id": string <uuid>,
    "name": "Package Name",
    "superteam": string <uuid>,
    "team": string <uuid>,
    "request_flags": [
        "request_enhanced_identity_verification",
        "request_social_media_check",
        "request_us_criminal_record_check_tier_1"
    ],
    "settings": {
        "requested_countries": [string],
        "us_criminal_record_check_years": 7,
        "employer_questionaire_id": string <uuid>,
        "address_questionaire_id": string <uuid>,
        "employer_references_max": int,
        "employer_references_min": int,
        "address_references_max": int,
        "address_references_min": int,
        "employment_verification_min": int,
        "employment_verification_max": int,
        "education_verification_min": int,
        "education_verification_max": int,
        "credential_verification_min": int,
        "credential_verification_max": int,
        "credential_verification_level": string <Enum>,
        "education_verification_level": string <Enum>,
        "employer_references_years": int,
        "address_references_years": int,
        "employment_verification_years": int,
        "address_references_years_or_individually": string <Enum>,
        "employer_references_years_or_individually": string <Enum>,
        "employment_verification_years_or_individually": string <Enum>,
        "purpose_of_check": string <Enum>,
        "position_title": string,
        "place_of_work": string,
        "license_type": string,
        "issuing_authority": string,
        "reason_for_check": string,
        "state_or_territory": string,
        "location_of_work": string,
        "volunteer_role": string,
        "volunteer_organization": string,
        "role_or_position_title": string,
        "employment_sector": string <Enum>
    }
}
```

{% endtab %}

{% tab title="Example" %}
{% code title="application/json" %}

```json
{
    "id": "35e95c65-ed02-4a34-948d-2267568fe69f",
    "name": "Package Name",
    "superteam": "c10f334c-0af8-4fb9-8e42-736f555bb400",
    "team": "0de5550b-f93f-4075-a022-52b907592198",
    "request_flags": [
        "request_enhanced_identity_verification",
        "request_social_media_check",
        "request_us_criminal_record_check_tier_1"
    ],
    "settings": {
        "requested_countries": [],
        "us_criminal_record_check_years": 7,
        "employer_questionaire_id": null,
        "address_questionaire_id": null,
        "employer_references_max": 1,
        "employer_references_min": 1,
        "address_references_max": 1,
        "address_references_min": 1,
        "employment_verification_min": 1,
        "employment_verification_max": 1,
        "education_verification_min": 1,
        "education_verification_max": 1,
        "credential_verification_min": 1,
        "credential_verification_max": 1,
        "credential_verification_level": "ALL",
        "education_verification_level": "ALL",
        "employer_references_years": 3,
        "address_references_years": 3,
        "employment_verification_years": 3,
        "address_references_years_or_individually": "INDIVIDUALLY",
        "employer_references_years_or_individually": "INDIVIDUALLY",
        "employment_verification_years_or_individually": "INDIVIDUALLY",
        "purpose_of_check": null,
        "position_title": "",
        "place_of_work": "",
        "license_type": "",
        "issuing_authority": "",
        "reason_for_check": "",
        "state_or_territory": "",
        "location_of_work": "",
        "volunteer_role": "",
        "volunteer_organization": "",
        "role_or_position_title": "",
        "employment_sector": ""
    }
}
```

{% endcode %}
{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="404: Not Found Package not found" %}
This may be happening because:

**The pacakge\_id you used doesn't exist.**

Ensure you are using a valid id.

*See* [#404-not-found](https://docs.certn.co/api/resources/error-codes#404-not-found "mention") *for more details.*
{% endtab %}

{% tab title="400: Bad Request Missing required field(s) or invalid data" %}
This may be happening because:&#x20;

**You have missed a required field in your payload.**

*See* [#400-bad-request](https://docs.certn.co/api/resources/error-codes#400-bad-request "mention") *for more details.*
{% endtab %}

{% tab title="403: Forbidden Authentication failed" %}

{% endtab %}
{% endtabs %}

## Delete a package

<mark style="color:red;">`DELETE`</mark> `https://api.certn.co/api/v1/packages/{package_id}/` [<mark style="color:$danger;">**`DEPRECATED`**</mark>](https://docs.certn.co/api/deprecation)

#### Path Parameters

| Name                                          | Type           | Description   |
| --------------------------------------------- | -------------- | ------------- |
| package\_id<mark style="color:red;">\*</mark> | string \<uuid> | ID of package |

{% tabs %}
{% tab title="200: OK Package successfully deleted" %}

{% endtab %}

{% tab title="404: Not Found Package not found" %}
This may be happening because:

**The pacakge\_id you used doesn't exist.**

Ensure you are using a valid id.

*See* [#404-not-found](https://docs.certn.co/api/resources/error-codes#404-not-found "mention") *for more details.*
{% endtab %}

{% tab title="400: Bad Request Missing required field(s) or invalid data" %}
This may be happening because:&#x20;

**You have missed a required field in your payload.**

*See* [#400-bad-request](https://docs.certn.co/api/resources/error-codes#400-bad-request "mention") *for more details.*
{% endtab %}

{% tab title="403: Forbidden Authentication failed" %}

{% endtab %}
{% endtabs %}
